package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 门店人员信息扩展对象 sys_user_shop_ext
 *
 * @author njs
 * @date 2025-08-19
 */
public class SysUserShopExt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    @Excel(name = "用户id")
    private String userId;

    /** 企微id */
    @Excel(name = "企微id")
    private String loginName;

    /** 门店编码 */
    @Excel(name = "门店编码")
    private String shopCode;

    /** 门店名称 */
    @Excel(name = "门店名称")
    private String shopName;

    /** 0-(TUC仿石漆服务商人员) */
    @Excel(name = "0-(TUC仿石漆服务商人员)")
    private String isShopType;

    /** 销售部编码 */
    @Excel(name = "销售部编码")
    private String subofficeCode;

    /** 销售部名称 */
    @Excel(name = "销售部名称")
    private String subofficeName;

    /** 用户更新时间 */
    @Excel(name = "用户更新时间")
    private String userUpdateTime;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /**立邦企微接口指定id*/
    private String constraintUserId;

    /** 删除时间 */
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date delTime;

    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }
    public void setLoginName(String loginName)
    {
        this.loginName = loginName;
    }

    public String getConstraintUserId() {
        return constraintUserId;
    }

    public void setConstraintUserId(String constraintUserId) {
        this.constraintUserId = constraintUserId;
    }

    public String getLoginName()
    {
        return loginName;
    }
    public void setShopCode(String shopCode)
    {
        this.shopCode = shopCode;
    }

    public String getShopCode()
    {
        return shopCode;
    }
    public void setShopName(String shopName)
    {
        this.shopName = shopName;
    }

    public String getShopName()
    {
        return shopName;
    }
    public void setIsShopType(String isShopType)
    {
        this.isShopType = isShopType;
    }

    public String getIsShopType()
    {
        return isShopType;
    }
    public void setSubofficeCode(String subofficeCode)
    {
        this.subofficeCode = subofficeCode;
    }

    public String getSubofficeCode()
    {
        return subofficeCode;
    }
    public void setSubofficeName(String subofficeName)
    {
        this.subofficeName = subofficeName;
    }

    public String getSubofficeName()
    {
        return subofficeName;
    }
    public void setUserUpdateTime(String userUpdateTime)
    {
        this.userUpdateTime = userUpdateTime;
    }

    public String getUserUpdateTime()
    {
        return userUpdateTime;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setDelTime(Date delTime)
    {
        this.delTime = delTime;
    }

    public Date getDelTime()
    {
        return delTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("loginName", getLoginName())
            .append("shopCode", getShopCode())
            .append("shopName", getShopName())
            .append("isShopType", getIsShopType())
            .append("subofficeCode", getSubofficeCode())
            .append("subofficeName", getSubofficeName())
            .append("userUpdateTime", getUserUpdateTime())
            .append("delFlag", getDelFlag())
            .append("delTime", getDelTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
